/*
* ============================================================================
*  Name        : mccexapplication.h
*  Part of     : mccexample / mccexapp
*  Description : CMccExApplication declaration
*  Version     : %version: %
*
*  Copyright  2008-2009 Nokia.  All rights reserved.
*  This material, including documentation and any related computer
*  programs, is protected by copyright controlled by Nokia.  All
*  rights are reserved.  Copying, including reproducing, storing,
*  adapting or translating, any or all of this material requires the
*  prior written consent of Nokia.  This material also contains
*  confidential information which may not be disclosed to others
*  without the prior written consent of Nokia.
* ============================================================================
* Template version: 4.2
*/

#ifndef C_CMCCEXAPPLICATION_H
#define C_CMCCEXAPPLICATION_H

#include <aknapp.h>

/**
 * CMccExApplication application class. Provides factory to create 
 * concrete document object. An instance of CMccExApplication is the
 * application part of the AVKON application framework for the MccExample 
 * example application.
 */
class CMccExApplication : public CAknApplication
    {
public:

// From CApaApplication
    
    /**
     * From CApaApplication.
     * Accessor for the UID.
     * 
     * @return Application's UID (KUidMccExApp).
     */
    TUid AppDllUid() const;

protected:

// from CApaApplication
    
    /**
     * From CApaApplication.
     * Creates CMccExAppDocument document object. The returned pointer is not
     * owned by the this object.
     * 
     * @see CApaApplication
     * @return A pointer to the created document object.
     */
    CApaDocument* CreateDocumentL();
    
    };

#endif // C_CMCCEXAPPLICATION_H
