/*
* ============================================================================
*  Name        : mccexappui.h
*  Part of     : mccexample / mccexapp
*  Description : CMccExAppUi declaration
*  Version     : %version: %
*
*  Copyright  2008-2009 Nokia.  All rights reserved.
*  This material, including documentation and any related computer
*  programs, is protected by copyright controlled by Nokia.  All
*  rights are reserved.  Copying, including reproducing, storing,
*  adapting or translating, any or all of this material requires the
*  prior written consent of Nokia.  This material also contains
*  confidential information which may not be disclosed to others
*  without the prior written consent of Nokia.
* ============================================================================
* Template version: 4.2
*/

#ifndef C_CMCCEXAPPUI_H
#define C_CMCCEXAPPUI_H

#include <aknviewappui.h>

class CMccExEngine;

/**
 * CMccExAppUi is the application UI class. Interacts with the user
 * through the UI and requests message processing from the handler classes.
 */
class CMccExAppUi : public CAknViewAppUi
    {
public:
    
    /**
     * 2nd phase constructor.
     */
    void ConstructL();
    
    /**
     * C++ default constructor. This needs to be public due to the way the
     * framework constructs the AppUi
     */
    CMccExAppUi();
    
    /**
     * ~CMccExAppUi Destructor.
     */
    virtual ~CMccExAppUi();
    
// from CAknAppUiBase
    
    /**
     * From CAknAppUiBase.
     * Handles a change to the application's resources which are shared
     * across the environment. This function calls 
     * 
     * @see CEikAppUi::HandleResourceChangeL except when aType is 
     * KEikDynamicLayoutVariantSwitch.
     * @see CAknAppUiBase
     * @param aType The type of resources that have changed.
     */
    void HandleResourceChangeL( TInt aType );
    
private:
    
// from CEikAppUi
    
    /**
     * From CEikAppUi.
     * Takes care of command handling.
     * 
     * @see CEikAppUi
     * @param aCommand Command to be handled.
     */
    void HandleCommandL( TInt aCommand );
    
private:    // Data
    
    /**
     * Application engine.
     * Own
     */
    CMccExEngine* iAppEngine;
    
    };

#endif // C_CMCCEXAPPUI_H
