/*
* ============================================================================
*  Name        : mccexappdocument.cpp
*  Part of     : mccexample / mccexapp
*  Description : MCC example application document class implementation
*  Version     : %version: %
*
*  Copyright  2008-2009 Nokia.  All rights reserved.
*  This material, including documentation and any related computer
*  programs, is protected by copyright controlled by Nokia.  All
*  rights are reserved.  Copying, including reproducing, storing,
*  adapting or translating, any or all of this material requires the
*  prior written consent of Nokia.  This material also contains
*  confidential information which may not be disclosed to others
*  without the prior written consent of Nokia.
* ============================================================================
* Template version: 4.1.1
*/

#include "mccexappui.h"
#include "mccexappdocument.h"

// ======== MEMBER FUNCTIONS ========

// ---------------------------------------------------------------------------
// CMccExAppDocument::NewL
// ---------------------------------------------------------------------------
//
CMccExAppDocument* CMccExAppDocument::NewL( CEikApplication& aApp )
    {
    CMccExAppDocument* self = NewLC( aApp );
    CleanupStack::Pop( self );
    return self;
    }


// ---------------------------------------------------------------------------
// CMccExAppDocument::NewLC
// ---------------------------------------------------------------------------
//
CMccExAppDocument* CMccExAppDocument::NewLC( CEikApplication& aApp )
    {
    CMccExAppDocument* self = new ( ELeave ) CMccExAppDocument( aApp );
    CleanupStack::PushL( self );
    return self;
    }


// ---------------------------------------------------------------------------
// CMccExAppDocument::CMccExAppDocument
// ---------------------------------------------------------------------------
//
CMccExAppDocument::CMccExAppDocument( CEikApplication& aApp ) :
    CAknDocument( aApp )
    {
    }


// ---------------------------------------------------------------------------
// CMccExAppDocument::~CMccExAppDocument
// ---------------------------------------------------------------------------
//
CMccExAppDocument::~CMccExAppDocument()
    {
    }


// ---------------------------------------------------------------------------
// CMccExAppDocument::CreateAppUiL
// ---------------------------------------------------------------------------
//
CEikAppUi* CMccExAppDocument::CreateAppUiL()
    {
    return new ( ELeave ) CMccExAppUi;
    }

